Download it now!
Bug 120928 - Windows: quickstart --killtray does not work
Summary: Windows: quickstart --killtray does not work
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
6.1.2.1 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Oliver Brinzing
URL:
Whiteboard: target:6.2.0 target:6.1.4 target:6.0.7
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-10-26 05:49 UTC by Oliver Brinzing
Modified: 2018-11-05 10:33 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
exception in quickstart.cxx (90.01 KB, image/jpeg)
2018-10-27 07:43 UTC, Oliver Brinzing
Details
possible fix (53.36 KB, image/jpeg)
2018-10-27 15:40 UTC, Oliver Brinzing
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Brinzing 2018-10-26 05:49:40 UTC
i recognized, that "quickstart --killtray" does not close soffice.bin/soffice.exe anymore.

maybe related to:

Process Soffice.bin does not stop at Windows logoff when Quickstarter is used
https://bugs.documentfoundation.org/show_bug.cgi?id=118573
Comment 1 Oliver Brinzing 2018-10-26 05:57:06 UTC
steps to reproduce Win7x64:

- open cmd
- cd "C:\Program Files\LibreOffice\program"
- quickstart
- wait until quickstarter is active in systray
- quickstart --killtray

worked with LO 5.4.7.2
Comment 2 Oliver Brinzing 2018-10-26 16:44:48 UTC
bibisected with bibisect-win32-6.0

https://gerrit.libreoffice.org/gitweb?p=core.git;a=commit;h=eef4c133e9649ebd690918bd7b83c2d5dc0dfcff

author	Mike Kaganski <mike.kaganski@collabora.com>	
	Wed, 20 Sep 2017 19:20:44 +0200 (20:20 +0300)
committer	Mike Kaganski <mike.kaganski@collabora.com>	
	Fri, 22 Sep 2017 20:53:30 +0200 (20:53 +0200)
commit	eef4c133e9649ebd690918bd7b83c2d5dc0dfcff
tree	1a8d084c5b16056a15258770a05b9cd2d53a40bc	tree
parent	bb406680cebd6fa1e1bdb9e2de430cd9a1f44da0	commit | diff
Windows: avoid dependence on UNICODE define; prefer W functions

Change-Id: I95b90128e93f0d88ed73601bcc5a7ca9279d4cf1
Reviewed-on: https://gerrit.libreoffice.org/42560
Tested-by: Jenkins <ci@libreoffice.org>
Reviewed-by: Mike Kaganski <mike.kaganski@collabora.com>

/cygdrive/d/sources/bibisect/bibisect-win32-6.0
$ instdir/program/quickstart --killtray
Segmentation fault

/cygdrive/d/sources/bibisect/bibisect-win32-6.0
$ git bisect bad
cca0d7ddaf179915a31147d6ec73c7598917dbbf is the first bad commit
commit cca0d7ddaf179915a31147d6ec73c7598917dbbf
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sat Sep 30 07:05:26 2017 -0700

    source sha:eef4c133e9649ebd690918bd7b83c2d5dc0dfcff

    source sha:eef4c133e9649ebd690918bd7b83c2d5dc0dfcff

:040000 040000 d49f197b64b3bc7ec6be40a0140bd0ba87d5a2ff 1f0286d4fa0b023764aa5884652f36c7cab84f91 M      instdir

$ git bisect log
# bad: [bc1845d882e52469a4583747881a465749177829] source sha:c30963b8b4bbbe42a24b97aafa161eff9d7ccdd4
# good: [cc5c4c7ed1d8d01b0063bcaaeb5f6d59282c8029] source sha:9feb7f7039a3b59974cbf266922177e961a52dd1
git bisect start 'master' 'oldest'
# good: [611b687719dc875499fd14d50e699b7ce871b941] source sha:2cd664b3d618e6085be8b44ee86eada6cd5f8789
git bisect good 611b687719dc875499fd14d50e699b7ce871b941
# bad: [3d50ca0e4e00109fa4799c8bb6c0093ec33c58ba] source sha:0c364fa7d507ae41bf04d36464f8942d154e49c0
git bisect bad 3d50ca0e4e00109fa4799c8bb6c0093ec33c58ba
# bad: [19997809e92a03524f964ffd7d39b729878f3668] source sha:4aa3a0b20f6140c716ac933fc575b202209881f9
git bisect bad 19997809e92a03524f964ffd7d39b729878f3668
# good: [6661b0cb338ecd3d4822bb652d33724aa73c333f] source sha:82e88b91665c8954eba1333577627a520140630d
git bisect good 6661b0cb338ecd3d4822bb652d33724aa73c333f
# bad: [321c9de571f5eff3e42e163a97d338156bacd3a3] source sha:7757a30a6bad8389eae2eec63f2066793e7ef3cf
git bisect bad 321c9de571f5eff3e42e163a97d338156bacd3a3
# bad: [ac1f24b8513a808b849475da0d0c5633257c3001] source sha:890c1c1c2746fdddc06e9f924d51fe7e8a7cd062
git bisect bad ac1f24b8513a808b849475da0d0c5633257c3001
# bad: [c4fb37cee3f253e9aeda016b1b36cc1f49995c34] source sha:506f7a5e2b6af0f2bdebab257a0c8ea33e0058fb
git bisect bad c4fb37cee3f253e9aeda016b1b36cc1f49995c34
# bad: [64804102b807af3dd53aab4a81af8416e8c4f5a1] source sha:1fde962b71860d77fb10e9b16c9d5b6c124d9b61
git bisect bad 64804102b807af3dd53aab4a81af8416e8c4f5a1
# good: [8f1faee1d9fcd6850267988cd2c4e3b5ba91fb99] source sha:bb406680cebd6fa1e1bdb9e2de430cd9a1f44da0
git bisect good 8f1faee1d9fcd6850267988cd2c4e3b5ba91fb99
# bad: [977f872c1733b95d6fe078be45d49893bb837d70] source sha:2d0d777fe8830a39a316b01e08864e4694a51964
git bisect bad 977f872c1733b95d6fe078be45d49893bb837d70
# bad: [94f19638176462ccc80741e773b52e36350532af] source sha:d0269808132f83e238cf050c8a013ae6507212e7
git bisect bad 94f19638176462ccc80741e773b52e36350532af
# bad: [08341c0e97af9462a66ec1257e05bf1dc6cbaa9b] source sha:d4b6e524398d83a500647d6a721b703dee767f06
git bisect bad 08341c0e97af9462a66ec1257e05bf1dc6cbaa9b
# bad: [cca0d7ddaf179915a31147d6ec73c7598917dbbf] source sha:eef4c133e9649ebd690918bd7b83c2d5dc0dfcff
git bisect bad cca0d7ddaf179915a31147d6ec73c7598917dbbf
# first bad commit: [cca0d7ddaf179915a31147d6ec73c7598917dbbf] source sha:eef4c133e9649ebd690918bd7b83c2d5dc0dfcff
Comment 3 Oliver Brinzing 2018-10-27 07:43:28 UTC
Created attachment 146051 [details]
exception in quickstart.cxx
Comment 4 Oliver Brinzing 2018-10-27 15:40:10 UTC
Created attachment 146077 [details]
possible fix

changing code to
> if ( 0 == wcscmp( __wargv[i], L"--killtray" ) )
seems to resolve the problem: no exception and quickstarter gets closed.

added a fix:
https://gerrit.libreoffice.org/62429 possible fix for issue 120928 - quickstart --killtray throws exception
Comment 5 Mike Kaganski 2018-10-27 15:56:10 UTC
Oliver, thanks for the fix! You should have assigned yourself to the issue - we will review your patch on gerrit, and push it then. In any case, please don't assign other people randomly, unless they are your employees ;-)
Comment 6 Mike Kaganski 2018-10-29 12:00:24 UTC
Sorry for not taking care of the proper commit message, which resulted in missing commit notification here: https://gerrit.libreoffice.org/plugins/gitiles/core/+/a41d7ee25ea5057cd887c67d33d42f4c764f9c77%5E%21/ has fixed this.

Backports are under review:

to 6-1:   https://gerrit.libreoffice.org/62440
to 6-0:   https://gerrit.libreoffice.org/62441
to 6-0-7: https://gerrit.libreoffice.org/62442
Comment 7 Commit Notification 2018-10-30 12:45:01 UTC
brinzing committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/18bf8e100a0487ccb7c1c91ec22224e71a5838c4%5E%21

possible fix for tdf#120928 - quickstart --killtray throws exception

It will be available in 6.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-10-30 12:45:22 UTC
brinzing committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

https://git.libreoffice.org/core/+/c7e4e6b41e80309c203a4eab1f5cc03b47c31faa%5E%21

possible fix for tdf#120928 - quickstart --killtray throws exception

It will be available in 6.0.8.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2018-10-30 12:53:38 UTC
brinzing committed a patch related to this issue.
It has been pushed to "libreoffice-6-0-7":

https://git.libreoffice.org/core/+/74c34fa12d3ae66ed907f192dc2b5df966c644ab%5E%21

possible fix for tdf#120928 - quickstart --killtray throws exception

It will be available in 6.0.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Timur 2018-11-02 09:49:17 UTC
Oliver, it's you that should mark this as fixed. Thank you.
Let's see if this helps Bug 118573.
Comment 11 Oliver Brinzing 2018-11-02 09:59:44 UTC
unfortunatelly it will not fix Bug 118573.